[postgis-tickets] [SCM] PostGIS branch stable-3.0 updated. dbda007059161f849144d25543f061f81c2dc499

git at osgeo.org git at osgeo.org
Thu Dec 19 01:17:34 PST 2019


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".

The branch, stable-3.0 has been updated
       via  dbda007059161f849144d25543f061f81c2dc499 (commit)
      from  26c11730a4f442eb1ca8d2235b732f58a2ebec7d (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit dbda007059161f849144d25543f061f81c2dc499
Author: Sandro Santilli <strk at kbt.io>
Date:   Thu Dec 19 10:09:09 2019 +0100

    Add tester script for NEWS file, add to testsuite
    
    The check runs with `check-news` Makefile target which is also
    run as part of `check` target.

diff --git a/GNUmakefile.in b/GNUmakefile.in
index 7d95bc3..cb48e9b 100644
--- a/GNUmakefile.in
+++ b/GNUmakefile.in
@@ -39,7 +39,10 @@ clean-local:
 # TODO: drop 'test' target..
 test: check
 
-check: check-no-trailing-blanks check-unit check-regress docs-check
+check: check-no-trailing-blanks check-unit check-regress docs-check check-news
+
+check-news:
+	utils/check_news.sh
 
 check-unit check-regress docs-check: all
 
diff --git a/utils/check_news.sh b/utils/check_news.sh
new file mode 100755
index 0000000..bac8f6f
--- /dev/null
+++ b/utils/check_news.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+RD=`dirname $0`/.. # root source dir
+
+VERBOSE=no
+
+if test "$1" = "-v"; then
+  VERBOSE=yes
+fi
+
+# Extract dates from NEWS file and check they
+# are sorted correctly
+pdate=$(date '+%Y/%m/%d') # most recent timestamp
+prel=Unreleased
+grep -B1 '^[0-9]\{4\}/[0-9]\{2\}/[0-9]\{2\}' ${RD}/NEWS |
+  while read rel; do
+    read date
+    read sep
+    ts=$( date -d "${date}" '+%s' )
+    pts=$( date -d "${pdate}" '+%s' )
+    if test $ts -gt $pts; then
+      echo "${rel} (${date}) appears after earlier published release ${prel}"
+      exit 1
+    fi
+    if test "${VERBOSE}" = yes; then
+      echo "${rel} (${date}) before ${prel} (${pdate})"
+    fi
+    pts=${ts}
+    prel=${rel}
+  done
+
+echo "NEWS file entries are in good order"
+
+exit 0

-----------------------------------------------------------------------

Summary of changes:
 GNUmakefile.in      |  5 ++++-
 utils/check_news.sh | 34 ++++++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+), 1 deletion(-)
 create mode 100755 utils/check_news.sh


hooks/post-receive
-- 
PostGIS


More information about the postgis-tickets mailing list